openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Curtis <curti...@gmail.com>
Subject Re: Java 8/Java 7 end of life
Date Mon, 09 Mar 2015 13:06:20 GMT
OpenJPA 2.3.x and trunk should be functional with java8, but I don't think
you can build OpenJPA with java8.

On Mon, Mar 9, 2015 at 3:52 AM, Henno Vermeulen <henno@huizemolenaar.nl>
wrote:

> Hello,
>
> AFAIK, OpenJPA still doesn't work with Java 8. Are there any plans of
> fixing this soon? Perhaps OpenJPA committers could give this some more
> priority?
>
> Oracle public support for Java 7 will end after April this year, see
> http://www.oracle.com/technetwork/java/javase/eol-135779.html
> If I understand well, this means that security issues in Oracle's Java 7
> runtime will no longer be fixed so that an application using OpenJPA on
> Java 7 will become more and more vulnerable over time.
>
> The ticket for Java 8 was last updated in October 2014:
> https://issues.apache.org/jira/browse/OPENJPA-2386
>
> Regards,
> Henno Vermeulen
>



-- 
*Rick Curtis*

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message